Skip to main content
GET
List Code Scan Findings

Permissions

Requires a service user or personal access token with the ViewCodeScans permission at the organization level.

Authorizations

Authorization
string
header
required

Service User credential (prefix: cog_)

Path Parameters

org_id
string
required

Organization ID (prefix: org-)

Example:

"org-abc123def456"

Query Parameters

after
string | null
first
integer
default:100
Required range: 1 <= x <= 200
scan_id
string | null

Filter to findings produced by this scan.

repo_name
string | null

Filter to findings reported in this repository.

severity
enum<string>[] | null

Filter to findings with any of these severities (critical, high, medium, low).

Available options:
critical,
high,
medium,
low
status
enum<string>[] | null

Filter to findings with any of these statuses (open, dismissed, resolved).

Available options:
open,
dismissed,
resolved

Response

Successful Response

items
CodeScanFindingResponse · object[]
required
end_cursor
string | null

Cursor to fetch the next page, or None if this is the last page.

has_next_page
boolean
default:false

Whether there are more items available after this page.

total
integer | null

Optional total count (can be omitted for performance).